Package be.e_contract.ejsf.component.webauthn

# Enum Class WebAuthnComponent.PropertyKeys

java.lang.Object
java.lang.Enum<WebAuthnComponent.PropertyKeys>
be.e_contract.ejsf.component.webauthn.WebAuthnComponent.PropertyKeys

All Implemented Interfaces:
  `Serializable`, `Comparable<WebAuthnComponent.PropertyKeys>`, `java.lang.constant.Constable`

Enclosing class:
  WebAuthnComponent

public static enum WebAuthnComponent.PropertyKeys extends Enum<WebAuthnComponent.PropertyKeys>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`allowOriginPort`
`allowUntrustedAttestation`
`assertionRequest`
`attestationConveyance`
`attestationTrustSource`
`authenticationErrorListener`
`authenticationMessageInterceptor`
`authenticatorAttachment`
`credentialRepository`
`credentialsRequest`
`prfListener`
`publicKeyCredentialCreationOptions`
`registrationErrorListener`
`registrationMessageInterceptor`
`relyingPartyId`
`relyingPartyName`
`residentKey`
`timeout`
`userDisplayName`
`userId`
`username`
`userVerification`
`webAuthnAuthenticatedEvent`
`webAuthnRegisteredEvent`

## Method Summary

Modifier and Type
Method
Description
`static WebAuthnComponent.PropertyKeys`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static WebAuthnComponent.PropertyKeys[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### relyingPartyId

public static final WebAuthnComponent.PropertyKeys relyingPartyId

### relyingPartyName

public static final WebAuthnComponent.PropertyKeys relyingPartyName

### publicKeyCredentialCreationOptions

public static final WebAuthnComponent.PropertyKeys publicKeyCredentialCreationOptions

### credentialsRequest

public static final WebAuthnComponent.PropertyKeys credentialsRequest

### assertionRequest

public static final WebAuthnComponent.PropertyKeys assertionRequest

### username

public static final WebAuthnComponent.PropertyKeys username

### userId

public static final WebAuthnComponent.PropertyKeys userId

### userDisplayName

public static final WebAuthnComponent.PropertyKeys userDisplayName

### userVerification

public static final WebAuthnComponent.PropertyKeys userVerification

### timeout

public static final WebAuthnComponent.PropertyKeys timeout

### authenticatorAttachment

public static final WebAuthnComponent.PropertyKeys authenticatorAttachment

### residentKey

public static final WebAuthnComponent.PropertyKeys residentKey

### attestationTrustSource

public static final WebAuthnComponent.PropertyKeys attestationTrustSource

### attestationConveyance

public static final WebAuthnComponent.PropertyKeys attestationConveyance

### allowUntrustedAttestation

public static final WebAuthnComponent.PropertyKeys allowUntrustedAttestation

### credentialRepository

public static final WebAuthnComponent.PropertyKeys credentialRepository

### registrationErrorListener

public static final WebAuthnComponent.PropertyKeys registrationErrorListener

### prfListener

public static final WebAuthnComponent.PropertyKeys prfListener

### authenticationErrorListener

public static final WebAuthnComponent.PropertyKeys authenticationErrorListener

### registrationMessageInterceptor

public static final WebAuthnComponent.PropertyKeys registrationMessageInterceptor

### authenticationMessageInterceptor

public static final WebAuthnComponent.PropertyKeys authenticationMessageInterceptor

### allowOriginPort

public static final WebAuthnComponent.PropertyKeys allowOriginPort

### webAuthnRegisteredEvent

public static final WebAuthnComponent.PropertyKeys webAuthnRegisteredEvent

### webAuthnAuthenticatedEvent

public static final WebAuthnComponent.PropertyKeys webAuthnAuthenticatedEvent

## Method Details

### values

public static WebAuthnComponent.PropertyKeys[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static WebAuthnComponent.PropertyKeys valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null